Package net.snowflake.client.jdbc.telemetry

## Enum TelemetryField

- java.lang.Object
- - java.lang.Enum<TelemetryField>
  - - net.snowflake.client.jdbc.telemetry.TelemetryField

All Implemented Interfaces:
  `Serializable`, `Comparable<TelemetryField>`

    public enum TelemetryField
    extends Enum<TelemetryField>

### Enum Constant Summary

Enum Constants
`FAILED_BIND_OTHER`
`FAILED_BIND_SERIALIZATION`
`FAILED_BIND_UPLOAD`
`METADATA_METRICS`
`SQL_EXCEPTION`
`TIME_CONSUME_FIRST_RESULT`
`TIME_CONSUME_LAST_RESULT`
`TIME_DOWNLOADING_CHUNKS`
`TIME_PARSING_CHUNKS`
`TIME_WAITING_FOR_CHUNKS`

### Field Summary

Fields
`String` `field`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static TelemetryField` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TelemetryField[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TIME_CONSUME_FIRST_RESULT

    public static final TelemetryField TIME_CONSUME_FIRST_RESULT

#### TIME_CONSUME_LAST_RESULT

    public static final TelemetryField TIME_CONSUME_LAST_RESULT

#### TIME_WAITING_FOR_CHUNKS

    public static final TelemetryField TIME_WAITING_FOR_CHUNKS

#### TIME_DOWNLOADING_CHUNKS

    public static final TelemetryField TIME_DOWNLOADING_CHUNKS

#### TIME_PARSING_CHUNKS

    public static final TelemetryField TIME_PARSING_CHUNKS

#### FAILED_BIND_SERIALIZATION

    public static final TelemetryField FAILED_BIND_SERIALIZATION

#### FAILED_BIND_UPLOAD

    public static final TelemetryField FAILED_BIND_UPLOAD

#### FAILED_BIND_OTHER

    public static final TelemetryField FAILED_BIND_OTHER

#### SQL_EXCEPTION

    public static final TelemetryField SQL_EXCEPTION

#### METADATA_METRICS

    public static final TelemetryField METADATA_METRICS

### Field Detail

#### field

    public final String field

### Method Detail

#### values

    public static TelemetryField[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TelemetryField c : TelemetryField.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TelemetryField valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<TelemetryField>`